<!DOCTYPE html>
<html prefix="og: http://ogp.me/ns#" lang="{{ app.request.locale|e('html_attr') }}" class="lang-base-{{ (app.request.locale|e('html_attr')|split('_', 2))[0] }}">
<head>
    {% block html_head %}
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
        <meta charset="UTF-8" />

        <!-- Keep the robots out -->
        <meta name="robots" content="noindex, nofollow">

        <!-- Tell mobile devices not to perform desktop scaling -->
        <meta name="viewport" content="width=device-width, user-scalable=no">

        <!-- Set the base URL to account for virtual mod_rewrite URLs -->
        <base target="_blank" href="{{ app.request.getBaseURL() }}">

        <!-- Set OG tags for Social Network Ads :] -->
        <meta property="og:title" content="MyHordes">
        <meta property="og:description" content="{{ 'Das Zombie Survival Game!'|trans({}, 'global')}}">
        <meta property="og:image" content="{{ absolute_url(asset('build/images/favicon.ico')) }}">
        <meta property="og:url" content="{{ app.request.uri }}">
        <meta property="og:type" content="website">
        <meta property="og:locale" content="de_DE" />
        <meta property="og:locale:alternate" content="fr_FR" />
        <meta property="og:locale:alternate" content="es_ES" />
        <meta property="og:locale:alternate" content="en_US" />
        <meta property="og:image" content="{{ absolute_url(asset('build/images/myhordes-og.png')) }}" />

        <!-- Load CSS -->
        {{ encore_entry_link_tags('app') }}
        {{ encore_entry_link_tags('prime') }}
        {{ encore_entry_link_tags('fa') }}

        <!-- Load JS -->
        {{ encore_entry_script_tags('app') }}
        {{ encore_entry_script_tags('prime') }}
        {{ encore_entry_script_tags('fa', null, '_default', {'defer': true}) }}

        <!-- Set Favicon -->
        {{ include('build/favicons.html.twig') }}

        <!-- Set page title -->
        {% if block('title') is defined %}
            <title>MyHordes - {{ block('title') }}</title>
        {% else %}
            <title>MyHordes</title>
        {% endif %}
    {% endblock %}
</head>
<body data-host="pm">
<div id="notifications"></div>
<div id="post-office-content" class="master"></div>
<div id="tooltip_container"></div>
<div id="loadzone" x-stack="0">
    <div></div>
</div>
<div id="modal-backdrop">
    <div id="modal">
        <div id="modal-title"></div>
        <div id="modal-content"></div>
        <div id="modal-actions"></div>
    </div>
</div>

</body>
<footer>
    {% block footer %}
    {% endblock %}
</footer>
<script>
    (function() {
        window.c = {
            'errors': {
                'default': '{% trans from 'global' %}Allgemeiner Fehler.{% endtrans %}',
                {{ include('scripts/errors/generic.txt.twig') }}
                {{ include('scripts/errors/profile.txt.twig') }}
                {{ include('scripts/errors/town.txt.twig') }}
                {{ include('scripts/errors/beyond.txt.twig') }}
                {{ include('scripts/errors/inventory.txt.twig') }}
                {{ include('scripts/errors/actions.txt.twig') }}
                {{ include('scripts/errors/forum.txt.twig') }}
                {{ include('scripts/errors/ghost.txt.twig') }}
            },
            'modules': {{ include('scripts/modules.json.twig') }},
            'langs': {
                {% for lang in langs %}
                '{{ lang['code'] }}': '{{ lang["label"] |trans({},'global') }}',
                {% endfor %}
            },
            'label': {
                'confirm': '{{ 'Bestätigen'|trans({},'global') }}'
            },
            'taptut': '{{ 'Schon gewusst? Bei vielen Aktionen wird auf mobilen Geräten zunächst ein Hilfetext eingeblendet. Wenn du die Aktion durchführen möchtest, musst du die Aktion erneut antippen. Wenn du es eilig hast und lieber keine Hilfetexte sehen möchtest, kannst du dieses Verhalten kannst du in deinen Seeleneinstellungen über die Einstellung "Tooltips auf mobilen Geräten durch antippen anzeigen" deaktivieren.'|trans({},'global')|e('js') }}'
        };

        $.html.setInitParams({
            userPopupEndpoint: '{{ path('soul_tooltip') }}',
            userPopupLoadingAnimation: '{{ asset('build/images/anims/loading_wheel.gif') }}'
        })

        $.msg.registerFetchEndpoint( '{{ path('api_pm_spring') }}' );
        $.msg.toggleFetch(true);
        $.ajax.background().load( document.getElementById('post-office-content'),'{{ url('pm_view')|e('js') }}', false, {{ (command is defined ? {command: command} : {})|json_encode|raw }});
    })();
</script>
</html>
